# KDE's brugerhåndbog

&Lauri.Watts; &Lauri.Watts.mail;
7. juni, 2005
K Desktopmiljøet
kate
1

# `kate`

Avanceret teksteditor for &kde;

    kate -s, --start  name  -u, --use -p, --pid pid -e, --encoding  navn -l, --line  line -c, --column  søjle -i, --stdin KDE Generiske tilvalg Qt Generiske tilvalg

## Beskrivelse

&kate; er &kde;'s Avancerede Tekst Editor.

&kate; er også editor-parten for forskellige programmer, under navnet &kwrite;.

Nogle af &kate;'s mange egenskaber inkludere indstillelig syntaksfremhævning for sprog rækkende fra C og C++ til HTML til bash-scripter, evnen til at oprette og vedligeholder projekter, et 'multiple document interface' (MDI), og en indeholdt terminalemulator.

Men &kate; er mere end en editor for programmører. Dens evne til at åbne adskillige filer på en gang gør den ideel til at redigere &UNIX;'s mange indstillingsfiler. Dette dokument blev skrevet med &kate;.

## Tilvalg

`-s`, `--start` navn

  Start &kate; med en given session.

`-u, --use`

  Bruge en allerede kørende &kate;

`-p, --pid` pid

  Forsøg kun at genbruge en kate-instans med denne pid

`-e, --encoding` navn

  Sæt tegnsæt for filen der skal åbnes

  Du kan bruge dette til at tvinge en fil til at blive åbnet i utf-8 format, for eksempel. (kommandoen `iconv -l` giver en liste af tegnsæt, som måske kunne være til hjælp for dig.)

`-l, --line` linje

  Navigér til denne linje

`-c, --column` søjle

  Navigér til denne søjle

`-i, --stdin`

  Læs indholdet af `stdin`

## Se også

kwrite(1)

Mere detaljeret brugerdokumentation findes i help:/kate (skriv enten denne URL i &konqueror;, eller kør ``khelpcenter` `help:/kate``).

Der er også yderligere information tilgængelig på &kate;'s hjemmeside.

## Eksempler

For at åbne en fil der hedder `source.cpp` ved søjle 15, linje 25, i et eksisterende &kate;-vindue, skal du bruge:

    kate -c 15 -l
    25 -u source.cpp

Hvis du har en aktiv internetforbindelse, kan du drage fordel af &kde;'s netværksgennemsigtighed til at åbne en fil fra et ftp-sted. Hvis du ikke har skriverettigheder på den eksterne server, vil filen blive åbnet skrivebeskyttet og du vil blive bedt om at lokalt filnavn at skrive eventuelle ændringer til. Hvis du har skrivetilladelse, vil ændringer blive gemt automatisk over netværket.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

## Forfattere

Vedligeholderen af &kate; er &Christoph.Cullmann; &Christoph.Cullmann.mail;. En fuldstændig liste af forfattere og bidragydere findes i den fuldstændige brugermanual som blev nævnt ovenfor.